/*
* Définitions des règles générales pour les élements flex
*/

.flex {
  display: flex;
  flex-flow: row wrap;
  justify-content: stretch;
  align-items: center;
  @for $i from 1 to 5 {
    &--g#{$i} {
      gap: #{$i}em;
    }
    &--gp#{$i} {
      gap: #{$i}em;
      padding: #{$i}em;
    }
  }
  &--spar {
    justify-content: space-around;
  }
  &--center {
    justify-content: center;
  }
  &--spab {
    justify-content: space-between;
  }
  &--start {
    justify-content: flex-start;
  }
  &--end {
    justify-content: flex-end;
  }
  &--col {
    flex-direction: column;
  }
  &--nw {
    flex-wrap: nowrap;
  }
  &--aliStart {
    align-items: flex-start;
  }
  &--aliCenter {
    align-items: center;
  }
  &--aliStretch {
    align-items: stretch;
  }
  &--aliEnd {
    align-items: flex-end;
  }
}

.fl {
  @for $i from 1 to 16 {
    &--#{$i} {
      flex: $i;
    }
  }
  &--full {
    min-width: 100%;
  }
}
